#!/bin/bash -x

set -e

#./ppc/boot

ssh glab "latester -d can0 -d can1 -d can2 --oneattime -c 1000 -q -n ugw"
scp glab:ugw-hist.txt .

gnuplot <<'EOF'
set title "Single GW rule for all messages, no modifications"
set grid xtics mxtics ytics mytics lw 1, lw 0.5
set xlabel "GW latency [µs]"
set ylabel "Latency profile [frames]"
plot [:] [1:] \
          "ugw-hist.txt" using (1000*$1):2 with lp lt 1 title "UGW"
EOF
